<template>
	<div class="container mx-auto px-4 py-8">
		<h1 class="text-2xl font-bold mb-6">供需对接</h1>
		<div class="grid grid-cols-2 gap-6">
			<!-- 供应列表 -->
			<el-card class="h-full">
				<template #header>
					<div class="flex justify-between items-center">
						<span class="font-medium">最新供应</span>
						<el-button type="primary" plain size="small">发布供应</el-button>
					</div>
				</template>
				<el-table :data="supplyList" style="width: 100%">
					<el-table-column prop="title" label="标题" />
					<el-table-column prop="date" label="发布日期" width="120" />
				</el-table>
			</el-card>

			<!-- 需求列表 -->
			<el-card class="h-full">
				<template #header>
					<div class="flex justify-between items-center">
						<span class="font-medium">最新需求</span>
						<el-button type="success" plain size="small">发布需求</el-button>
					</div>
				</template>
				<el-table :data="demandList" style="width: 100%">
					<el-table-column prop="title" label="标题" />
					<el-table-column prop="date" label="发布日期" width="120" />
				</el-table>
			</el-card>
		</div>
	</div>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const supplyList = ref([
	{ title: '工业控制系统开发服务', date: '2024-02-12' },
	{ title: '数据采集分析平台', date: '2024-02-11' },
	{ title: '智能制造解决方案', date: '2024-02-10' },
]);

const demandList = ref([
	{ title: '寻找工业自动化软件开发商', date: '2024-02-12' },
	{ title: '需要工业物联网平台', date: '2024-02-11' },
	{ title: '寻找数字孪生解决方案', date: '2024-02-10' },
]);
</script>
